# Public Comment Reply: https://graph.facebook.com/v25.0/{fb_page_id}/replies POST https://graph.facebook.com/v25.0/17978681876999742/replies Content-Type: application/json Reference: https://docs.deao.dev/cloudflare/comment-replies-internal-m-ds-in-dev/public-comment-reply-https-graph-facebook-com-v-25-0-fb-page-id-replies ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v25.0/17978681876999742/replies: post: operationId: public-comment-reply-https-graph-facebook-com-v-25-0-fb-page-id-replies summary: >- Public Comment Reply: https://graph.facebook.com/v25.0/{fb_page_id}/replies tags: - subpackage_commentRepliesInternalMDsInDev parameters: - name: appsecret_proof in: query required: false schema: type: string - name: acc in: header required: false schema: type: string responses: '200': description: Successful response content: application/json: schema: $ref: >- #/components/schemas/Comment Replies/Internal MDs (In dev)_Public Comment Reply: https://graph.facebook.com/v25.0/{fb_page_id}/replies_Response_200 requestBody: content: application/json: schema: type: object properties: message: type: string required: - message servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: 'Comment Replies/Internal MDs (In dev)_Public Comment Reply: https://graph.facebook.com/v25.0/{fb_page_id}/replies_Response_200': type: object properties: {} description: Empty response body title: >- Comment Replies/Internal MDs (In dev)_Public Comment Reply: https://graph.facebook.com/v25.0/{fb_page_id}/replies_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://graph.facebook.com/v25.0/17978681876999742/replies" querystring = {"appsecret_proof":"3d001fb0a8fb53ed1daeeae1015eee0aeed81e5e5a8969d2d6dc851846c2980f"} payload = { "message": "¡Hola! Te enviamos el precio por DM 👋" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://graph.facebook.com/v25.0/17978681876999742/replies?appsecret_proof=3d001fb0a8fb53ed1daeeae1015eee0aeed81e5e5a8969d2d6dc851846c2980f'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"message":"¡Hola! Te enviamos el precio por DM 👋"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://graph.facebook.com/v25.0/17978681876999742/replies?appsecret_proof=3d001fb0a8fb53ed1daeeae1015eee0aeed81e5e5a8969d2d6dc851846c2980f" payload := strings.NewReader("{\n \"message\": \"¡Hola! Te enviamos el precio por DM 👋\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://graph.facebook.com/v25.0/17978681876999742/replies?appsecret_proof=3d001fb0a8fb53ed1daeeae1015eee0aeed81e5e5a8969d2d6dc851846c2980f") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"message\": \"¡Hola! Te enviamos el precio por DM 👋\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://graph.facebook.com/v25.0/17978681876999742/replies?appsecret_proof=3d001fb0a8fb53ed1daeeae1015eee0aeed81e5e5a8969d2d6dc851846c2980f") .header("Content-Type", "application/json") .body("{\n \"message\": \"¡Hola! Te enviamos el precio por DM 👋\"\n}") .asString(); ``` ```php request('POST', 'https://graph.facebook.com/v25.0/17978681876999742/replies?appsecret_proof=3d001fb0a8fb53ed1daeeae1015eee0aeed81e5e5a8969d2d6dc851846c2980f', [ 'body' => '{ "message": "¡Hola! Te enviamos el precio por DM 👋" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://graph.facebook.com/v25.0/17978681876999742/replies?appsecret_proof=3d001fb0a8fb53ed1daeeae1015eee0aeed81e5e5a8969d2d6dc851846c2980f"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"message\": \"¡Hola! Te enviamos el precio por DM 👋\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["message": "¡Hola! Te enviamos el precio por DM 👋"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/v25.0/17978681876999742/replies?appsecret_proof=3d001fb0a8fb53ed1daeeae1015eee0aeed81e5e5a8969d2d6dc851846c2980f")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```